<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body >
<div class="container">
   <div class="row ">
    <div class = "jumbotron signup-form col-sm-6 mx-auto">
      <div class="form-group ">
        <h2>Sign Up</h2>
      </div>
      <div class="form-group ">
        <p class="hint-text">Please fill in this form to create account!</p>
      </div>
      <div class="form-group ">
        <hr>
      </div>
      <div class="form-group ">
        <div class="row">
          <div class="col">
            <input type="text" class="form-control" id="inp-first-name" placeholder="First name"/>

          </div>
          <div class="col">
            <input type="text" class="form-control" id="inp-last-name" placeholder="Last name"/>
            
          </div>
        </div>
      </div>
      <div class="form-group ">
        <input type="text" class="form-control" id="inp-email" placeholder="Email"/>
      </div>
      <div class="form-group ">
        <input type="password" class="form-control" id="inp-password" placeholder="Password"/>
      </div>
      <div class="form-group ">
        <input type="password" class="form-control" id="inp-confirm-password" placeholder="Confirm Password"/>
      </div>
      <div class="form-group ">
        <input type = "checkbox" id = "check-confirm-accept"/>I accept the
        <a href="#">Term of Use</a><span> &</span>
        <a href="#">Privacy Policy</a>
        <p id ="p-agree-feedback" class="invalid-feedback">You must accept before submitting</p>
      </div>
      <div class="form-group ">
        <button id="btn-sign-up" class="btn btn-primary btn-lg">Sign Up</button>
      </div>


    </div>
   </div>
</div>
</body>

<script>
  "use strict"
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  var gEleFirstName = $("#inp-first-name");
  var gEleLastName = $("#inp-last-name");
  var gEleEmail = $("#inp-email");
  var gElePassword = $("#inp-password");
  var gEleConfirmPassword  = $("#inp-confirm-password");
  var gEleAcceptCheck = $("#check-confirm-accept");

  $(document).ready(function(){
     /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
     $("#btn-sign-up").on("click", onBtnSignUpClick)
  })
   /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
   //hàm được gọi khi bấm nút sign up
   function onBtnSignUpClick(){
    "use strict";
    //khai báo object chứa thông tin user
    var vUserObj = {
      firstName:"",
      lastName:"",
      email:"",
      password:"",
      confirmpassword:"",
      accept:false
    }
    //Bước 1 đọc
    getElementInpData(vUserObj);
    //Bước 2 kiểm tra
    var vIsValid = validateForm(vUserObj);
    //Bước 3 xử lí hiển thị
    if(vIsValid){
      showDataInConsole(vUserObj);
    }
   }
   /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
   //hàm đọc dữ liệu
   function getElementInpData(paramUserObject){
    paramUserObject.firstName = gEleFirstName.val();
    paramUserObject.lastName = gEleLastName.val();
    paramUserObject.email = gEleEmail.val();
    paramUserObject.password = gElePassword.val();
    paramUserObject.confirmpassword = gEleConfirmPassword.val();
    paramUserObject.accept = gEleAcceptCheck.is(":checked");

   }
   //hàm kiểm tra dữ liệu
   function validateForm(paramUserObject){
    var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
    if (paramUserObject.firstName == ""){
      console.log("Chưa nhập Firstname!");
      return false;
    }
    if (paramUserObject.lastName == ""){
      console.log("Chưa nhập Lastname!");
      return false;
    }
    if (paramUserObject.email == ""){
      console.log("Chưa nhập Email !");
      return false;
    }
    if (!vRegexStr.test(paramUserObject.email)){
      console.log("Email không hợp lệ!");
      return false;
    }
    if (paramUserObject.password == ""){
      console.log("Vui lòng nhập password!");
      return false;
    }
    if (paramUserObject.password != paramUserObject.confirmpassword){
      console.log("Confirm Password không khớp. Vui lòng kiểm tra lại!");
      return false;
    }
    if (!paramUserObject.accept){
      $("#p-agree-feedback").css("display", "block");
      console.log("You must accept before summiting!");

      return false;
    }else{
      $("#p-agree-feedback").css("display","none");
    }

     return true
   }
   //hàm ghi thông tin ra console
   function showDataInConsole(paramUserObject){
    console.log("firstname:" + paramUserObject.firstName);
    console.log("lastname:" + paramUserObject.lastName);
    console.log("email:" + paramUserObject.email);
    console.log("password" + paramUserObject.password);
    console.log("confirm password" + paramUserObject.confirmpassword);
    console.log("I accept" + paramUserObject.accept);
   }
  
  
</script>

</html>